import * as Yup from 'yup'

export const validationSchema = Yup.object().shape({

    alcoholLog: Yup.object().shape({
    
        oftenDrinkAlcohol: Yup.number()
            .min(0,'Q1 is required'),
        countDrinks: Yup.number()
            .min(0,'Q2 is required'),
        sixorMoreDrinks: Yup.number()
            .min(0,'Q3 is required'),
        notStoppedDrinking: Yup.number()
            .min(0,'Q4 is required'),
        failedExpectation: Yup.number()
            .min(0,'Q5 is required'),     
        drinkFirstThing: Yup.number()
            .min(0,'Q6 is required'),     
        guiltFeeling: Yup.number()
            .min(0,'Q7 is required'),     
        noRemember: Yup.number()
            .min(0,'Q8 is required'),     
        injuredDrinking: Yup.number()
            .min(0,'Q9 is required'),     
        suggestCutDrinking: Yup.number()
            .min(0,'Q10 is required'),     
        total: Yup.number()
            .min(0,'Alcohol Score is required'),
        
    })
})
